> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/server/knowledge-base/how-to-articles/quickly-deploy-devolutions-server.md).

# Quickly deploy Devolutions Server

This guide shows you how to quickly deploy and configure Devolutions Server.

### Before installing

1. Download [Devolutions Server](https://devolutions.net/server/download/).
   * Database access: Make sure you have access to the SQL database if the DB was created beforehand.
   * Certificate: Make sure you have a valid certificate. You can use a temporary self-signed certificate, but it should be replaced with a valid one afterward.
2. [Installation account](https://docs.devolutions.net/server/kb/knowledge-base/pre-deployment-account-survey/):
   * Use the `DVLS_Owner` account for the installation.
   * The account must be a local administrator.
3. It must have the following SQL permissions:
   * `db_creator` If the DB was not created beforehand.
   * `Alter any login` securable.
   * IIS prerequisites: Verify that all IIS prerequisites are installed using the [Devolutions Server Console](https://docs.devolutions.net/server/getting-started/installation/installing-web-server-prerequisites/#devolutions-server-console-method).

#### Installation of Devolutions Server

1. Log in to the Server: Log in to the Windows Server that will host the Devolutions Server using the DVLS\_Owner account.
2. Install Devolutions Server: Follow the [installation guide available here](https://docs.devolutions.net/server/getting-started/installation/create-server-instance/).
3. Admin account and encryption keys: During the installation, you will be prompted to create a local administrator account. This account will serve as the primary Devolutions Server Administrator.
4. Keep this account enabled at all times.
5. Store the credentials securely outside the Devolutions Server (e.g., in a password manager).
6. If your main authentication method ever fails, this account will allow you to regain access to the Devolutions Server web interface and restore authentication.
7. You will also be asked to create a password for the encryption keys, which will be used to generate the ***Recovery kit***. The ***Recovery kit*** is critical for recovery purposes. It contains a copy of the encryption keys file, encrypted with the password you define. If an issue occurs and only a database backup remains, these encryption keys will be required to decrypt the data. Without them, it will be impossible to recover the information stored in the Devolutions Server.

#### Post-installation configuration

1. Change the IIS Web Application Identity:
   * Go to ***IIS*** – ***Application pools*** – ***dvls*** – ***Advanced settings*** – ***Identity***.
   * Change it to: `DVLS_Runner`.
2. Set File permissions:
   * Give modify rights on the `App_Data` folder of the website (default: `C:\inetpub\wwwroot\dvls\App_Data`). [This is required ](https://docs.devolutions.net/server/kb/how-to-articles/enable-server-log4net-log/)for the `DPS_Main.log` files.
3. Update the Scheduler Service Account:
   * Go to: ***Services*** – ***Devolutions Scheduler Service*** – ***Properties*** – ***Log On*** – ***This account***.
   * Change it to `DVLS_Scheduler`.
4. Grant Read Permission on Encryption Config:
   * Give read rights to the `encryption.config` file under the website folder (default: `C:\inetpub\wwwroot\dvls\App_Data`) for both accounts (`DVLS_BRunner` and `DVLS_Scheduler`).
5. Apply the Least permission script:
   * From the Devolutions Server Console, go to ***Edit*** – ***Database*** – ***Advanced Credentials***. Apply the least permission script to both accounts (`DVLS_BRunner` and `DVLS_Scheduler`).
6. Restart Devolutions Server using the ***Stop Server/Start Server*** button on the Devolutions Server Console to apply the changes.

#### Onboarding guide

Refer to the Devolutions Server [onboarding guide](https://docs.devolutions.net/server/kb/how-to-articles/quickly-deploy-devolutions-server/onboarding-dvls/) for setup instructions.

#### Security score

Read this [article](https://docs.devolutions.net/server/kb/knowledge-base/server-security-dashboard/?utm_source=dvls\&utm_medium=native\&utm_campaign=dvls-onboarding-checklist\&utm_id=C106\&member_status=responded) to improve your Devolutions Server security score.

{% hint style="info" %}
If you are using Remote Desktop Manager, you can create your Devolutions Server [workspace](https://docs.devolutions.net/rdm/workspaces/create-a-workspace/) under ***File*** – ***Workspace***.
{% endhint %}

#### See also

* [Creation of entries](https://docs.devolutions.net/server/web-interface/vault/entries/create-entries-manually/)
* [Importing entries](https://docs.devolutions.net/resources/other-resources/import-dvls-rdm/)
* [Devolutions Academy – Entries organization](https://docs.devolutions.net/student/path/1916054/activity/2667044)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.devolutions.net/server/knowledge-base/how-to-articles/quickly-deploy-devolutions-server.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
